Bug 12157 - Coverity and related fixes
Coverity and related fixes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.5.0rc2
All All
: P5 normal
: 4.5
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-17 04:22 UTC by Martin Schwenke
Modified: 2016-08-28 15:59 UTC (History)
2 users (show)

See Also:


Attachments
Fixes for 4.5 (29.27 KB, patch)
2016-08-18 05:44 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2016-08-17 04:22:45 UTC
Fix some Coverity issues in CTDB and some related issues.
Comment 1 Martin Schwenke 2016-08-18 05:44:45 UTC
Created attachment 12377 [details]
Fixes for 4.5
Comment 2 Martin Schwenke 2016-08-18 05:49:04 UTC
No backports required for 4.4, 4.3...  No real security issues...
Comment 3 Amitay Isaacs 2016-08-18 06:11:44 UTC
Hi Karolin,

This is ready for v4-5.
Comment 4 Stefan Metzmacher 2016-08-24 09:47:09 UTC
Pushed to autobuild-v4-5-test.
Comment 5 Stefan Metzmacher 2016-08-28 15:54:28 UTC
Pushed to v4-5-test.